using SqlSugar;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Repository;

namespace Hotline.Snapshot;

/// <summary>
/// 微信接口交互日志
/// </summary>
[Description("微信接口交互日志")]
public class InteractionLog : CreationSoftDeleteEntity
{
    /// <summary>
    /// 红包记录Id
    /// </summary>
    [SugarColumn(ColumnDescription = "红包记录Id")]
    public string RedPackRecordId { get; set; }

    /// <summary>
    /// 微信Id
    /// </summary>
    [SugarColumn(ColumnDescription = "微信Id")]
    public string WXOpenId { get; set; }

    /// <summary>
    /// 商户号
    /// </summary>
    [SugarColumn(ColumnDescription = "商户号")]
    public string MerchantCode { get; set; }

    /// <summary>
    /// 调用入参
    /// </summary>
    [SugarColumn(ColumnDescription = "调用入参")]
    public string RequestData { get; set; }

    /// <summary>
    /// 调用反参数
    /// </summary>
    [SugarColumn(ColumnDescription = "调用反参数")]
    public string ResponseData { get; set; }

    /// <summary>
    /// 是否成功
    /// </summary>
    [SugarColumn(ColumnDescription = "是否成功")]
    public bool IsSuccess { get; set; }

    /// <summary>
    /// 错误信息
    /// </summary>
    [SugarColumn(ColumnDescription = "错误信息")]
    public string? ErrorMessage { get; set; }
}
